Skip to content

Back to API List

Data Delete API¶

Used to delete data from Data Table.

Method DELETE
Endpoint https://{{host}}/api/public/tables/{{tableName}}
Content Type application/json
Authorization auth: {{JWT}}

See How to generate the JWT Token.

App Access Read and Delete access to the Data Table from the Data Definition in DaaS.

For more information, see app assignment for accessing the data in a table and Data as a Service articles.

Path Parameters¶

PARAMETER DESCRIPTION
host Environment URL, for example, https://platform.kore.ai
tableName Name of the Table to delete data

Sample Request¶

curl -X DELETE \
  https://{{host}}/api/public/tables/{{tableName}} \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
  -d '{
      "query":{
    "expressions": [
            {"field": "firstName", "operand": "=", "value": "Jane"},
        {"field": "lastName", "operand": "=", "value": "Doe"}
        ],
        "operator": "and"
       }
}'

Body Parameters¶

PARAMETER DESCRIPTION
query Filter criteria identifying the row to be deleted

"query":{

"expressions": [

{"field": "<col1_name>", "operand": "=/!=/</>", "value": "<value1>"},

{"field": "<col2_name>", "operand": "=/!=/</>", "value": "<value2>"}

],

"operator": "and/or"

}

Sample Response¶

{
   "nDeleted":1
}